Skip to main content
POST
Block an organization booking attendee

Headers

Authorization
string

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

orgId
number
required

Body

application/json
bookingUid
string
required

The UID of the booking whose attendee should be blocked

Example:

"booking-uid-123"

blockType
enum<string>
required

Whether to block by email or domain. EMAIL blocks the specific booker email. DOMAIN blocks all emails from the same domain.

Available options:
EMAIL,
DOMAIN
Example:

"EMAIL"

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required